com.tibco.n2.service.adapter.binding

## Interface ChannelBusService

- All Known Implementing Classes:
    ChannelBusService

      public interface ChannelBusService

  Interface to provide the `ChannelBusService` methods.

  ©2011 TIBCO Software Inc.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.wp.api.base.PresentationChannel[]` | `getPresentationChannel(java.lang.String channelId)` Returns an array of channel information for the supplied channelId.
    `com.tibco.n2.wp.api.base.PresentationChannel[]` | `getPresentationChannel(java.lang.String channelId, com.tibco.n2.common.channeltype.ChannelType.Enum channelType)` Returns the channel information for a particular channel type.
    `com.tibco.n2.wp.api.base.ChannelTypeDetail[]` | `listChannelTypes(com.tibco.n2.common.channeltype.ImplementationType.Enum channelImpl)` Lists the available channel types based on channel implementation type.

- - ### Method Detail

    - #### getPresentationChannel

          com.tibco.n2.wp.api.base.PresentationChannel[] getPresentationChannel(java.lang.String channelId,
                                                                                com.tibco.n2.common.channeltype.ChannelType.Enum channelType)
                                                                         throws com.tibco.n2.wp.services.ChannelUnavailableFault,
                                                                                com.tibco.n2.wp.services.InternalServiceFault

      Returns the channel information for a particular channel type. If a channelId is not supplied then all the deployed channels are returned.
      Parameters:
        `channelId` -
        `channelType` -
      Returns:
      Throws:
        `com.tibco.n2.wp.services.ChannelUnavailableFault`
        `com.tibco.n2.wp.services.InternalServiceFault`

    - #### getPresentationChannel

          com.tibco.n2.wp.api.base.PresentationChannel[] getPresentationChannel(java.lang.String channelId)
                                                                         throws com.tibco.n2.wp.services.ChannelUnavailableFault,
                                                                                com.tibco.n2.wp.services.InternalServiceFault

      Returns an array of channel information for the supplied channelId. More than one channel type implementation can use the same channel id.
      Parameters:
        `channelId` -
      Returns:
      Throws:
        `com.tibco.n2.wp.services.ChannelUnavailableFault`
        `com.tibco.n2.wp.services.InternalServiceFault`

    - #### listChannelTypes

          com.tibco.n2.wp.api.base.ChannelTypeDetail[] listChannelTypes(com.tibco.n2.common.channeltype.ImplementationType.Enum channelImpl)
                                                                 throws com.tibco.n2.wp.services.InternalServiceFault

      Lists the available channel types based on channel implementation type.
      Parameters:
        `channelImpl` -
      Returns:
      Throws:
        `com.tibco.n2.wp.services.ChannelUnavailableFault`
        `com.tibco.n2.wp.services.InternalServiceFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.